> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# TimeZones

## "TimeZones"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.TimeZonesProvider">SuperOffice.CRM.ArchiveLists.TimeZonesProvider</see> inside NetServer's SODatabase assembly.

## Supported Entities

| Name  | Description |
| ----- | ----------- |
| "all" | All         |

## Supported Columns

| Name        | Restriction | Description                                                                             | OrderBy |
| ----------- | ----------- | --------------------------------------------------------------------------------------- | ------- |
| getAllRows  | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database |         |
| getNoRows   | bool        | GetNone: Do not get any rows from the archive                                           |         |
| id          | *None*      |                                                                                         |         |
| isActive    | *None*      |                                                                                         | x       |
| flag        | *None*      |                                                                                         | x       |
| timeZone    | string      | Time zone                                                                               | x       |
| country     | string      | Country                                                                                 | x       |
| region      | string      | Region                                                                                  | x       |
| cities      | string      | Cities                                                                                  | x       |
| offset      | *None*      | Offset                                                                                  |         |
| daylight    | *None*      | Daylight                                                                                |         |
| offsetRaw   | *None*      | Offset                                                                                  |         |
| daylightRaw | *None*      | Daylight                                                                                |         |

## Sample

```http! theme={null}
GET /api/v1/archive/TimeZones?$select=flag,country
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [TimeZone](/en/automation/crmscript/reference/CRMScript.Native.TimeZone.md)
- [Delete Time Zones](/en/api/reference/restful/agent/timezone_agent/delete-time-zones.md)
- [Get Time Zones Archive](/en/api/reference/restful/rest/timezone/get-time-zones-archive.md)
- [Initialize Time Zone Data](/en/api/reference/restful/agent/timezone_agent/initialize-time-zone-data.md)
- [Get Base Time Zone](/en/api/reference/restful/rest/timezone/get-base-time-zone.md)
- [Get Current Time Zone](/en/api/reference/restful/rest/timezone/get-current-time-zone.md)
